Page MenuHomePhabricator

Edit notice saying that pending changes may affect to your edit when you are only editor
Open, LowPublic8 Estimated Story Points

Description

With Flagged Revisions If user without review-right is editing the page where is no pending changes then system will warn editor for his own edits when there is least one edit pending. This works in same way in old wikieditor and visual editor but problem is more pronounced in the Visual Editor.

Edit warning messages:

  • Message 1: "The stable version was checked on 20 May 2016. There is 1 pending change awaiting review."
  • Message 2: "Notice: Some of the pending changes affect the area of the page you are editing. (show those changes)"

Visual editor screenshot from 2016-05-20 03:12:40.png (1×1 px, 456 KB)
Revision history screenshot from 2016-05-20 03:13:42.png (1×1 px, 440 KB)

How to replicate
1.) Go to page which is reviewed with FR and there is no pending changes with
2.) Edit the page with user without autoreview or review -right and save the edit
3.) Re-edit the same page

Suitable test page: https://fi.wikipedia.org/wiki/Merkityt_versiot_-kokeilu/Testisivu_1

How this should work is that the warning is showed only if there is pending changes from other editors than current one. Even better would be if warning could be disabled for users without review right in cases where latest version of the article is shown.

This is something which doesn't bother regular user because they are editing with least autoreview right. Problem however is annoying and it effects pretty much to all ip and new users which are doing more than one edit per article.

Event Timeline

Danny_B renamed this task from Edit notice saying that pending changes nay affect to your edit when you are only editor to Edit notice saying that pending changes may affect to your edit when you are only editor.May 20 2016, 2:01 AM
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.